--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The alias to use for the expression, not alias since that is a keyword in ruby.
  name: aliaz
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The expression to alias
  name: expression
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Represents an aliasing of an expression/column to a given name.
constants: []

full_name: Sequel::SQL::AliasedExpression
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: to_s
name: AliasedExpression
superclass: SpecificExpression
